Skip to main content
`Ctrl`+`K`

# numpy.isinf

numpy.isinf(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'isinf'>

  Test element-wise for positive or negative infinity.

  Returns a boolean array of the same shape as x, True where `x == +/-inf`, otherwise False.

  Parameters:
    x array_like

      Input values

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y bool (scalar) or boolean ndarray

      True where `x` is positive or negative infinity, false otherwise. This is a scalar if x is a scalar.

  See also

  `isneginf`, `isposinf`, `isnan`, `isfinite`

  Notes

  NumPy uses the IEEE Standard for Binary Floating-Point for Arithmetic (IEEE 754).

  Errors result if the second argument is supplied when the first argument is a scalar, or if the first and second arguments have different shapes.

  Examples

      >>> import numpy as np
      >>> np.isinf(np.inf)
      True
      >>> np.isinf(np.nan)
      False
      >>> np.isinf(-np.inf)
      True
      >>> np.isinf([np.inf, -np.inf, 1.0, np.nan])
      array([ True,  True, False, False])

      >>> x = np.array([-np.inf, 0., np.inf])
      >>> y = np.array([2, 2, 2])
      >>> np.isinf(x, y)
      array([1, 0, 1])
      >>> y
      array([1, 0, 1])